Subject: bug#51490: Show an indicator when Emacs is busy somewhere in the Emacs window

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Sep 2022 16:59:48 +0300

> Date: Thu, 22 Sep 2022 13:02:53 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked], [email-masked]
> 
> > Drawn how?  Bitmaps are images, and drawing images in the text area 
> > means we need to invoke all the machinery of redrawing a certain screen 
> > line, be it on the mode line or elsewhere.  That's how Emacs draws 
> > stuff; we don't have any way of directly poking the glass with an 
> > arbitrary bunch of pixels, at least not one that I know of.
> 
> I'm thinking aloud here, sorry if it isn't useful.  But I think we have at 
> least one similar occurrence: XTflash.

Which part of it seemed similar to what is being discussed here?